<div class="dashboard-page flex flex-col flex-auto min-w-0">

    <div class="flex justify-between">
        <div class="text-2xl font-cairo font-bold tracking-tight leading-8 mb-8">
            ABCD Collaboration team Item
            <!-- Breadcrumbs -->
            <div class="flex flex-wrap items-center font-medium text-lg ml-px mt-1">
                <div>
                    <a href="/dashboard" class="whitespace-nowrap text-primary-500 font-semibold ml-px">All Collaboration teams</a>
                </div>
                <div class="flex items-center ml-2 whitespace-nowrap">
                    <mat-icon class="icon-size-5 text-secondary" [svgIcon]="'heroicons_solid:chevron-right'"></mat-icon>
                    <a class="ml-1">ABCD Collaboration team Item</a>
                </div>
            </div>
        </div>
        <button class="sm:inline-flex ml-auto" mat-stroked-button [color]="'primary'" (click)="openDialog()">
            <span class="mx-8">Add Users to Team</span>
        </button>

    </div>
    <div class="relative">
        <!--table component-->
        <div class="srm-bg mb-4 rounded-lg rounded-t-none">
            <div class="p-6">

                <div class="flex flex-col flex-wrap sm:flex-row items-center max-w-xs sm:max-w-none">
                    <div class="mr-4">
                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                            <div class="text-secondary px-4" matPrefix>User Name</div>
                            <input matInput placeholder="Search by User Name" #input>
                        </mat-form-field>
                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-90 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                            <div class="text-secondary px-4" matPrefix>Position</div>
                            <input matInput placeholder="Search by Position" #input>
                        </mat-form-field>

                    </div>

                    <button class="sm:inline-flex mb-3" mat-stroked-button [color]="'primary'">
                        <mat-icon matPrefix class="icon-size-5 ml-8" [svgIcon]="'heroicons_solid:search'"></mat-icon>
                        <span class="mr-8 ml-4">Search</span>
                    </button>
                </div>

            </div>

        </div>

        <!--base table component-->
        <div class="overflow-auto rounded-lg">
            <p class="mt-6 mb-2 font-medium w-3/5 text-l text-secondary">
                Associated Team Members
            </p>
            <div class="overflow-auto">
                <table mat-table [dataSource]="dataSource" matSort class="expanded-rows-table font-helvetica text-gray-500">

                    <!-- ID Column -->
                    <ng-container matColumnDef="id">
                        <th mat-header-cell *matHeaderCellDef style="max-width: 60px; min-width: 50px; width: 50px"></th>
                        <td mat-cell *matCellDef="let row">
                            <button mat-icon-button [matMenuTriggerFor]="options" aria-label="Choose columns">
                                <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:dots-vertical"></mat-icon>
                            </button>
                            <mat-menu #options="matMenu" class="min-width-235 z-1">
                                <button mat-menu-item>
                                    <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:x-circle"></mat-icon>
                                    Remove From List
                                </button>
                            </mat-menu>
                        </td>
                    </ng-container>

                    <!-- Cost Factor -->
                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 110px">
                            Name
                        </th>
                        <td mat-cell *matCellDef="let row"> {{row.name}} </td>
                    </ng-container>

                    <!-- position Column -->
                    <ng-container matColumnDef="position">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="min-width: 140px">
                            Position
                        </th>
                        <td mat-cell *matCellDef="let row"> {{row.position}} </td>
                    </ng-container>



                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                    <!-- Row shown when there is no matching data. -->
                    <tr class="mat-row" *matNoDataRow>
                        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                    </tr>
                </table>
            </div>

            <div class="flex justify-end">
                <mat-paginator class="flex text-base" [pageSizeOptions]="[10, 25, 100]"></mat-paginator>
            </div>

            <div class="flex justify-end ml-auto p-6">
                <button class="sm:inline-flex mr-4" mat-button [color]="'primary'">
                    <span class="mx-8">Cancel</span>
                </button>
                <button class="sm:inline-flex" mat-raised-button [color]="'primary'">
                    <span class="mx-8">Save Changes</span>
                </button>
            </div>
        </div>

        <!--table component end-->
    </div>

</div>
